/**
 * file: plugin_test.js
 * テスト実行用プラグイン
 */
export default {
    'meta': {
        type: 'const',
        value: {
            pluginName: 'plugin_test',
            description: 'テストを提供するプラグイン',
            pluginVersion: '3.6.0',
            nakoRuntime: ['wnako', 'cnako', 'phpnako'],
            nakoVersion: '^3.6.0' // 要求なでしこバージョン
        }
    },
    // @テスト
    'ASSERT等': {
        type: 'func',
        josi: [['と'], ['が']],
        pure: true,
        fn: function (a, b) {
            if (a !== b) {
                throw new Error(`不一致 [実際]${a} [期待]${b}`);
            }
            return true;
        }
    },
    'テスト実行': {
        type: 'func',
        josi: [['と'], ['で']],
        pure: false,
        fn: function (a, b, sys) {
            sys.__exec('ASSERT等', [a, b, sys]);
        }
    },
    'テスト等': {
        type: 'func',
        josi: [['と'], ['が']],
        pure: false,
        fn: function (a, b, sys) {
            sys.__exec('ASSERT等', [a, b, sys]);
        }
    }
};
